### Type parameters

- #### T

### Hierarchy

- AtomEnumerator

## Index

### Constructors

- constructor

### Accessors

- current
- currentIndex

### Methods

- next

## Constructors

### constructor

- new AtomEnumerator(items: T[]): AtomEnumerator

- - Defined in src/core/AtomEnumerator.ts:3

  #### Parameters

  - ##### items: T[]

  #### Returns AtomEnumerator

## Accessors

### current

- get current(): T

- - Defined in src/core/AtomEnumerator.ts:13

  #### Returns T

### currentIndex

- get currentIndex(): number

- - Defined in src/core/AtomEnumerator.ts:17

  #### Returns number

## Methods

### next

- next(): boolean

- - Defined in src/core/AtomEnumerator.ts:8

  #### Returns boolean

Generated using TypeDoc